Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package backend
  Definition Classes
    nsc
-  package classpath
  Definition Classes
    nsc
-  package doc
  Definition Classes
    nsc
-  package interactive
  Definition Classes
    nsc
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  package io
  Definition Classes
    nsc
-  package javac
  Definition Classes
    nsc
-  package plugins
  Definition Classes
    nsc
-  package reporters
  Definition Classes
    nsc
-  package settings
  Definition Classes
    nsc
-  package symtab
  Definition Classes
    nsc
-  package transform
  Definition Classes
    nsc
-  package typechecker
  Definition Classes
    nsc
-  package util
  Definition Classes
    nsc
- ClassPathMemoryConsumptionTester
- CommonRunner
- CompilationUnits
- CompileClient
- CompileServer
- CompileSocket
- CompilerCommand
- ConsoleWriter
- Driver
- EvalLoop
- GenericRunnerCommand
- GenericRunnerSettings
- Global
- GlobalSymbolLoaders
- HasCompileSocket
- Interpreter
- InterpreterLoop
- JarRunner
- Main
- MainBench
- MainClass
- MainGenericRunner
- MainTokenMetric
- NewLinePrintWriter
- ObjectRunner
- OfflineCompilerCommand
- Parsing
- PhaseAssembly
- Properties
- Reporting
- ScalaDoc
- ScalaDocReporter
- ScriptRunner
- Settings
- StandardCompileClient
- StandardCompileServer
- SubComponent

c

scala.tools.nsc

# ScalaDocReporter 

###

#### class ScalaDocReporter extends ConsoleReporter

The Scaladoc reporter adds summary messages to the `ConsoleReporter`

Use the `summaryX` methods to add unique summarizing message to the end of the run.

Source
  ScalaDoc.scala

Linear Supertypes
ConsoleReporter, AbstractReporter, Reporter, Reporter, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ScalaDocReporter
2. ConsoleReporter
3. AbstractReporter
4. Reporter
5. Reporter
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ScalaDocReporter(settings: Settings)

### Type Members

1.  class Severity extends AnyRef
   Definition Classes
     Reporter

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ScalaDocReporter to any2stringadd[ScalaDocReporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ScalaDocReporter, B)
   Implicit
     This member is added by an implicit conversion from ScalaDocReporter to ArrowAssoc[ScalaDocReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  lazy val ERROR: Severity
   Definition Classes
     Reporter → Reporter
7.  def addDelayedMessage(pos: Position, msg: String, print: () ⇒ Unit): Unit

   Eliminates messages if both `pos` and `msg` are equal to existing element

8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  var cancelled: Boolean
   Definition Classes
     Reporter
10.  def clabel(severity: Severity): String
    Attributes
      protected
    Definition Classes
      ConsoleReporter
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def comment(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
13.  def count(severity: Severity): Int
    Definition Classes
      Reporter → Reporter
14.  def display(pos: Position, msg: String, severity: Severity): Unit
    Definition Classes
      ConsoleReporter → AbstractReporter
15.  def displayPrompt(): Unit
    Definition Classes
      ConsoleReporter → AbstractReporter
16.  def echo(msg: String): Unit

    Prints the message to the echoWriter, which is usually stdout.

    Prints the message to the echoWriter, which is usually stdout.

    Definition Classes
      ConsoleReporter → Reporter
17.  def echo(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
18.  def ensuring(cond: (ScalaDocReporter) ⇒ Boolean, msg: ⇒ Any): ScalaDocReporter
    Implicit
      This member is added by an implicit conversion from ScalaDocReporter to Ensuring[ScalaDocReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: (ScalaDocReporter) ⇒ Boolean): ScalaDocReporter
    Implicit
      This member is added by an implicit conversion from ScalaDocReporter to Ensuring[ScalaDocReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  def ensuring(cond: Boolean, msg: ⇒ Any): ScalaDocReporter
    Implicit
      This member is added by an implicit conversion from ScalaDocReporter to Ensuring[ScalaDocReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
21.  def ensuring(cond: Boolean): ScalaDocReporter
    Implicit
      This member is added by an implicit conversion from ScalaDocReporter to Ensuring[ScalaDocReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
22.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
24.  def error(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
25.  def errorCount: Int
    Definition Classes
      Reporter
26.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
27.  def finish(): Unit
    Definition Classes
      ConsoleReporter → Reporter
28.  def flush(): Unit
    Definition Classes
      ConsoleReporter → Reporter
29.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ScalaDocReporter to StringFormat[ScalaDocReporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
30.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
31.  def hasErrors: Boolean
    Definition Classes
      ScalaDocReporter → Reporter → Reporter
32.  def hasWarnings: Boolean
    Definition Classes
      Reporter
33.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
34.  final def info(pos: Position, msg: String, force: Boolean): Unit

    Informational messages.

    Informational messages. If `!force`, they may be suppressed.

    Definition Classes
      Reporter
35.  def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit
    Attributes
      protected
    Definition Classes
      AbstractReporter → Reporter
36.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
37.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
38.  final def notify(): Unit
    Definition Classes
      AnyRef
39.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
40.  def print(pos: Position, msg: String, severity: Severity): Unit
    Definition Classes
      ConsoleReporter
41.  def printColumnMarker(pos: Position): Unit

    Prints the column marker of the given position.

    Prints the column marker of the given position.

    Definition Classes
      ConsoleReporter
42.  def printDelayedMessages(): Unit
43.  def printMessage(posIn: Position, msg: String): Unit

    Prints the message with the given position indication.

    Prints the message with the given position indication.

    Definition Classes
      ConsoleReporter
44.  def printMessage(msg: String): Unit

    Prints the message.

    Prints the message.

    Definition Classes
      ConsoleReporter
45.  def printSummary(): Unit

    Prints the number of warnings and errors if there are any.

    Prints the number of warnings and errors if there are any.

    Definition Classes
      ScalaDocReporter → ConsoleReporter
46.  def reallyHasErrors: Boolean
47.  def rerunWithDetails(setting: Setting, name: String): String
    Definition Classes
      Reporter
48.  def reset(): Unit
    Definition Classes
      AbstractReporter → Reporter → Reporter
49.  def resetCount(severity: Severity): Unit
    Definition Classes
      Reporter → Reporter
50.  val settings: Settings
    Definition Classes
      ConsoleReporter → AbstractReporter
51.  var shortname: Boolean

    Whether a short file name should be displayed before errors

    Whether a short file name should be displayed before errors

    Definition Classes
      ConsoleReporter
52.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
53.  def toString(): String
    Definition Classes
      AnyRef → Any
54.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
55.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
56.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
57.  def warning(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
58.  def warningCount: Int
    Definition Classes
      Reporter
59.  def →[B](y: B): (ScalaDocReporter, B)
    Implicit
      This member is added by an implicit conversion from ScalaDocReporter to ArrowAssoc[ScalaDocReporter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
60.  object INFO extends Severity
    Definition Classes
      Reporter → Reporter
61.  object WARNING extends Severity
    Definition Classes
      Reporter → Reporter

### Deprecated Value Members

1.  final val ERROR_LIMIT: Int(100)

   maximal number of error messages to be printed

   maximal number of error messages to be printed

   Definition Classes
     ConsoleReporter
   Annotations
     @deprecated
   Deprecated

     (Since version 2.12.2) configured by settings.maxerrs

### Inherited from ConsoleReporter

### Inherited from AbstractReporter

### Inherited from Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ScalaDocReporter to any2stringadd[ScalaDocReporter]

### Inherited by implicit conversion StringFormat from ScalaDocReporter to StringFormat[ScalaDocReporter]

### Inherited by implicit conversion Ensuring from ScalaDocReporter to Ensuring[ScalaDocReporter]

### Inherited by implicit conversion ArrowAssoc from ScalaDocReporter to ArrowAssoc[ScalaDocReporter]

### Ungrouped